package net.northking.cctp.dw.db.impl;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;
import net.northking.cctp.dw.db.dao.DwAtuPlanTaskDao;
import net.northking.cctp.dw.db.entity.DwAtuPlanTask;
import net.northking.cctp.dw.db.service.DwAtuPlanTaskService;
import org.springframework.stereotype.Service;

@Service
public class DwAtuPlanTaskServiceImpl extends PaginationService<DwAtuPlanTask> implements DwAtuPlanTaskService {
    private final DwAtuPlanTaskDao dwAtuPlanTaskDao;

    public DwAtuPlanTaskServiceImpl(DwAtuPlanTaskDao dwAtuPlanTaskDao) {
        this.dwAtuPlanTaskDao = dwAtuPlanTaskDao;
    }

    @Override
    protected void beforeInsert(DwAtuPlanTask dwAtuPlanTask) {

    }

    @Override
    protected void beforeUpdate(DwAtuPlanTask dwAtuPlanTask) {

    }

    @Override
    public DwAtuPlanTask createEntity() {
        return new DwAtuPlanTask();
    }

    @Override
    public BasicDao<DwAtuPlanTask> getDao() {
        return dwAtuPlanTaskDao;
    }
}
